import load_cfg

if __name__ == '__main__':
    # mm_database = load_cfg.load_mm_cfg("D:\\My Coding Project\\ArmorOverhual\\Mods\\CryoEnginesExtension")
    part_cfg_database = load_cfg.load_part_cfg("D:\\KSP_Part_Test\\GameData\\NearFutureLaunchVehicles\\Parts\\Engine")
    target_name = 'sse-engine-oms-single'
    target = part_cfg_database[target_name]
    attribute_name = 'ModuleGimbal'
    for attribute in target['MODULE']:
        if attribute.get('name') == attribute_name:
            print(attribute)
    print('done')

